/**
 	Este Software, em parte ou em seu todo, é livre para uso e modificação exclusivamente 
	para uso com o equipamento EASYS@T Kryptus. 
	Este software é provido sem nenhuma forma de garantia implícita ou explícita e a Kryptus 
	não se responsabiliza por possíveis danos diretos ou indiretos causados pelo mesmo.
	A violação dessa licença sujeita o usuário a indenização de quaisquer perdas e danos 
	diretos e indiretos que venham a ser causados à Kryptus.

	Todos os direitos reservados - Kryptus Segurança da Informação S/A
*/

/**
 * Funções para o evento de click dos botões.
 */
function buttonConsultarSAT() {
	fireKryptusEASYSATRequest({comando:"ConsultarSAT", numeroSessao: 1234});
}

function buttonConsultarStatusOperacional() {
	fireKryptusEASYSATRequest({comando:"ConsultarStatusOperacional", numeroSessao: 1234, codigoDeAtivacao: "00000000"});
}

function buttonExtrairLogs() {
	fireKryptusEASYSATRequest({comando:"ExtrairLogs", numeroSessao: 1234, codigoDeAtivacao: "00000000"});
}
 
/**
 * fireKryptusEASYSATRequest: cria e lança um evento com um comando para a DLL SAT
 * no objeto window.
 * Parâmetros: 
 * 	- comando:  objeto JSON com o comando a ser executado e seus argumentos,
 				seguindo os nomes e tipos de dados definidos no arquivo SAT.h.
 */
function fireKryptusEASYSATRequest(comando) {
	customEvent = new CustomEvent('KryptusEASYSATRequest', {detail: comando});

	window.dispatchEvent(customEvent);
}

/**
 * Registro de um listener para o evento KryptusEASYSATReply, o qual irá receber
 * a resposta do comando enviado pelo evento KryptusEASYSATRequest.
 * A resposta estará contida em event.detail e estará no formato JSON.
 */
window.addEventListener('KryptusEASYSATReply', function(event) {
	console.log("Resposta do comando: " + JSON.stringify(event.detail));

	document.getElementById("resposta").innerText = JSON.stringify(event.detail);
});
